#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './advancedprofiledialogbase.ui'
**
** Created: Thu May 17 21:10:32 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "advancedprofiledialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcombobox.h"
#include "klineedit.h"

/*
 *  Constructs a AdvancedProfileDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AdvancedProfileDialogBase::AdvancedProfileDialogBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AdvancedProfileDialogBase" );
    AdvancedProfileDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "AdvancedProfileDialogBaseLayout"); 

    AdvancedSettingsCheckbox = new QCheckBox( this, "AdvancedSettingsCheckbox" );

    AdvancedProfileDialogBaseLayout->addWidget( AdvancedSettingsCheckbox, 0, 0 );
    spacer63 = new QSpacerItem( 20, 56, QSizePolicy::Minimum, QSizePolicy::Expanding );
    AdvancedProfileDialogBaseLayout->addItem( spacer63, 2, 0 );

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    SingleDesCheckbox = new QCheckBox( groupBox3, "SingleDesCheckbox" );

    groupBox3Layout->addWidget( SingleDesCheckbox, 4, 0 );

    IkeGroupCheckbox = new QCheckBox( groupBox3, "IkeGroupCheckbox" );

    groupBox3Layout->addWidget( IkeGroupCheckbox, 2, 0 );

    PerfectForwardSecurityCheckbox = new QCheckBox( groupBox3, "PerfectForwardSecurityCheckbox" );

    groupBox3Layout->addWidget( PerfectForwardSecurityCheckbox, 3, 0 );

    ApplicationVersionCheckbox = new QCheckBox( groupBox3, "ApplicationVersionCheckbox" );

    groupBox3Layout->addWidget( ApplicationVersionCheckbox, 1, 0 );

    PerfectForwardSecrecyCombobox = new KComboBox( FALSE, groupBox3, "PerfectForwardSecrecyCombobox" );

    groupBox3Layout->addMultiCellWidget( PerfectForwardSecrecyCombobox, 3, 3, 1, 3 );

    IkeGroupCombobox = new KComboBox( FALSE, groupBox3, "IkeGroupCombobox" );

    groupBox3Layout->addMultiCellWidget( IkeGroupCombobox, 2, 2, 1, 3 );

    ApplicationVersionLineedit = new KLineEdit( groupBox3, "ApplicationVersionLineedit" );

    groupBox3Layout->addMultiCellWidget( ApplicationVersionLineedit, 1, 1, 1, 3 );

    AdvancedProfileDialogBaseLayout->addWidget( groupBox3, 1, 0 );
    languageChange();
    resize( QSize(539, 303).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( AdvancedSettingsCheckbox, ApplicationVersionCheckbox );
    setTabOrder( ApplicationVersionCheckbox, ApplicationVersionLineedit );
    setTabOrder( ApplicationVersionLineedit, IkeGroupCheckbox );
    setTabOrder( IkeGroupCheckbox, IkeGroupCombobox );
    setTabOrder( IkeGroupCombobox, PerfectForwardSecurityCheckbox );
    setTabOrder( PerfectForwardSecurityCheckbox, PerfectForwardSecrecyCombobox );
    setTabOrder( PerfectForwardSecrecyCombobox, SingleDesCheckbox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AdvancedProfileDialogBase::~AdvancedProfileDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AdvancedProfileDialogBase::languageChange()
{
    setCaption( tr2i18n( "Advanced Profile Settings" ) );
    AdvancedSettingsCheckbox->setText( tr2i18n( "&Enable advanced settings" ) );
    AdvancedSettingsCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    QToolTip::add( AdvancedSettingsCheckbox, tr2i18n( "Enable advanced settings for profile" ) );
    groupBox3->setTitle( tr2i18n( "Advanced profile settings" ) );
    SingleDesCheckbox->setText( tr2i18n( "Allow single DES encr&yption" ) );
    SingleDesCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    QToolTip::add( SingleDesCheckbox, tr2i18n( "Allow single DES encryption (insecure)" ) );
    IkeGroupCheckbox->setText( tr2i18n( "&IKE DH group:" ) );
    IkeGroupCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    QToolTip::add( IkeGroupCheckbox, tr2i18n( "Use special Diffie Hellman group" ) );
    PerfectForwardSecurityCheckbox->setText( tr2i18n( "Perfect for&ward secrecy (PFS):" ) );
    PerfectForwardSecurityCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    QToolTip::add( PerfectForwardSecurityCheckbox, tr2i18n( "Use perfect forward secrety (PFS)" ) );
    ApplicationVersionCheckbox->setText( tr2i18n( "Application &version:" ) );
    ApplicationVersionCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QToolTip::add( ApplicationVersionCheckbox, tr2i18n( "Send an own application version string" ) );
    QToolTip::add( PerfectForwardSecrecyCombobox, tr2i18n( "Diffie Helman group for Perfect Forward Secrecy", "Automatic keying has a property called perfect forward secrecy. This is the Diffie Helman group for PFS." ) );
    QWhatsThis::add( PerfectForwardSecrecyCombobox, tr2i18n( "This is the Diffie Helman group for PFS.\n"
"The following assignment will is used:\n"
"server = DH group is recieved from server (cisco only)\n"
"nopfs = no pfs is used\n"
"dh1 = modp768\n"
"dh2 = modp1024\n"
"dh5 = modp1536\n"
"d14 = modp2048 (racoon only)\n"
"dh15= modp3072 (racoon only)\n"
"dh16 = modp4096 (racoon only)\n"
"dh17 = modp6144 (racoon only)\n"
"dh18 = modp8192 (racoon only)" ) );
    QToolTip::add( IkeGroupCombobox, tr2i18n( "Diffie Hellman group" ) );
    QWhatsThis::add( IkeGroupCombobox, tr2i18n( "This define the group used for the Diffie-Hellman exponentiations. The following assignment is used:\n"
"dh1 = modp768\n"
"dh2 = modp1024\n"
"dh5 = modp1536\n"
"d14 = modp2048 (only racoon)\n"
"dh15 = modp3072 (only racoon)\n"
"dh16 = modp4096 (only racoon)\n"
"dh17 = modp6144 (only racoon)\n"
"dh18 = modp8192 (only racoon)" ) );
    ApplicationVersionLineedit->setText( QString::null );
    QToolTip::add( ApplicationVersionLineedit, tr2i18n( "Application version string" ) );
}

#include "advancedprofiledialogbase.moc"
