#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profileciscooptionsbase.ui'
**
** Created: Thu May 17 21:08:16 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profileciscooptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <knuminput.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "knuminput.h"
#include "klineedit.h"

/*
 *  Constructs a ProfileCiscoOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileCiscoOptionsBase::ProfileCiscoOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileCiscoOptionsBase" );
    ProfileCiscoOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileCiscoOptionsBaseLayout"); 

    layout120 = new QHBoxLayout( 0, 0, 6, "layout120"); 

    layout119 = new QVBoxLayout( 0, 0, 6, "layout119"); 

    layout118 = new QHBoxLayout( 0, 0, 6, "layout118"); 

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 
    layout118->addLayout( layout9 );
    spacer59 = new QSpacerItem( 453, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout118->addItem( spacer59 );
    layout119->addLayout( layout118 );

    layout117 = new QGridLayout( 0, 1, 1, 0, 6, "layout117"); 

    UseGlobalIpsecSecretCheckbox = new QCheckBox( this, "UseGlobalIpsecSecretCheckbox" );

    layout117->addWidget( UseGlobalIpsecSecretCheckbox, 3, 0 );

    UseXauthInteractiveCheckBox = new QCheckBox( this, "UseXauthInteractiveCheckBox" );

    layout117->addWidget( UseXauthInteractiveCheckBox, 2, 0 );

    PeerTimeoutIntNumInput = new KIntNumInput( this, "PeerTimeoutIntNumInput" );
    PeerTimeoutIntNumInput->setMinValue( 0 );

    layout117->addWidget( PeerTimeoutIntNumInput, 5, 1 );
    spacer7 = new QSpacerItem( 160, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout117->addItem( spacer7, 4, 1 );

    layout46 = new QHBoxLayout( 0, 0, 6, "layout46"); 

    LabelID_2 = new QLabel( this, "LabelID_2" );
    layout46->addWidget( LabelID_2 );
    spacer6 = new QSpacerItem( 124, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout46->addItem( spacer6 );

    layout117->addLayout( layout46, 5, 0 );
    spacer16 = new QSpacerItem( 156, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout117->addItem( spacer16, 1, 1 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    LabelID = new QLabel( this, "LabelID" );
    layout7->addWidget( LabelID );
    spacer15 = new QSpacerItem( 120, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer15 );

    layout117->addLayout( layout7, 0, 0 );
    spacer16_3 = new QSpacerItem( 156, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout117->addItem( spacer16_3, 2, 1 );

    layout115 = new QHBoxLayout( 0, 0, 6, "layout115"); 

    LocalPortCheckbox = new QCheckBox( this, "LocalPortCheckbox" );
    layout115->addWidget( LocalPortCheckbox );

    LocalPortSpinbox = new QSpinBox( this, "LocalPortSpinbox" );
    LocalPortSpinbox->setMaxValue( 65535 );
    LocalPortSpinbox->setValue( 500 );
    layout115->addWidget( LocalPortSpinbox );

    layout117->addLayout( layout115, 4, 0 );

    IDLineEdit = new KLineEdit( this, "IDLineEdit" );

    layout117->addWidget( IDLineEdit, 0, 1 );
    spacer61 = new QSpacerItem( 156, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout117->addItem( spacer61, 3, 1 );

    AllowEmptyGroupPasswordCheckBox = new QCheckBox( this, "AllowEmptyGroupPasswordCheckBox" );

    layout117->addWidget( AllowEmptyGroupPasswordCheckBox, 1, 0 );
    layout119->addLayout( layout117 );
    spacer4 = new QSpacerItem( 20, 110, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout119->addItem( spacer4 );
    layout120->addLayout( layout119 );
    spacer162 = new QSpacerItem( 51, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout120->addItem( spacer162 );

    ProfileCiscoOptionsBaseLayout->addLayout( layout120, 0, 0 );
    languageChange();
    resize( QSize(514, 353).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( IDLineEdit, AllowEmptyGroupPasswordCheckBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileCiscoOptionsBase::~ProfileCiscoOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileCiscoOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Cisco" ) );
    UseGlobalIpsecSecretCheckbox->setText( tr2i18n( "Use &global IPSec secret" ) );
    UseGlobalIpsecSecretCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    QToolTip::add( UseGlobalIpsecSecretCheckbox, tr2i18n( "Use global IPSec secret from /etc/vpnc/default.conf" ) );
    UseXauthInteractiveCheckBox->setText( tr2i18n( "E&nable interactive extended authentication" ) );
    UseXauthInteractiveCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QToolTip::add( UseXauthInteractiveCheckBox, QString::null );
    QToolTip::add( PeerTimeoutIntNumInput, tr2i18n( "After this number of seconds KVpnc reconnects. Value of 0 disables timeout." ) );
    LabelID_2->setText( tr2i18n( "Peer timeout:" ) );
    QToolTip::add( LabelID_2, tr2i18n( "Peer timeout" ) );
    LabelID->setText( tr2i18n( "IPSec ID:" ) );
    LocalPortCheckbox->setText( tr2i18n( "Use local port for ISAK&MP:" ) );
    LocalPortCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QToolTip::add( LocalPortSpinbox, tr2i18n( "Local port number" ) );
    QToolTip::add( IDLineEdit, tr2i18n( "IPSec ID of the remote side" ) );
    AllowEmptyGroupPasswordCheckBox->setText( tr2i18n( "Allow empt&y group password (insecure!)" ) );
    AllowEmptyGroupPasswordCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    QToolTip::add( AllowEmptyGroupPasswordCheckBox, tr2i18n( "Allow an empty group password (not recommended, insecure)" ) );
}

#include "profileciscooptionsbase.moc"
