#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilepptpoptionsbase.ui'
**
** Created: Thu May 17 21:09:20 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilepptpoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <klineedit.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "kcombobox.h"

/*
 *  Constructs a ProfilePptpOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfilePptpOptionsBase::ProfilePptpOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfilePptpOptionsBase" );
    ProfilePptpOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfilePptpOptionsBaseLayout"); 

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    layout30 = new QGridLayout( 0, 1, 1, 0, 6, "layout30"); 

    RefuseEapCheckbox = new QCheckBox( this, "RefuseEapCheckbox" );

    layout30->addWidget( RefuseEapCheckbox, 4, 1 );

    UseNoDeflateCheckbox = new QCheckBox( this, "UseNoDeflateCheckbox" );

    layout30->addWidget( UseNoDeflateCheckbox, 5, 1 );

    DnsServerCheckbox = new QCheckBox( this, "DnsServerCheckbox" );

    layout30->addWidget( DnsServerCheckbox, 0, 0 );

    Refuse40BitEncryptionCheckbox = new QCheckBox( this, "Refuse40BitEncryptionCheckbox" );

    layout30->addWidget( Refuse40BitEncryptionCheckbox, 1, 0 );

    RequireMppeCheckbox = new QCheckBox( this, "RequireMppeCheckbox" );

    layout30->addWidget( RequireMppeCheckbox, 3, 0 );

    DisableCcpCheckbox = new QCheckBox( this, "DisableCcpCheckbox" );

    layout30->addWidget( DisableCcpCheckbox, 7, 1 );

    GetDnsFromPeerCheckbox = new QCheckBox( this, "GetDnsFromPeerCheckbox" );

    layout30->addWidget( GetDnsFromPeerCheckbox, 4, 0 );

    UseNoMPPECompressionCheckbox = new QCheckBox( this, "UseNoMPPECompressionCheckbox" );

    layout30->addWidget( UseNoMPPECompressionCheckbox, 7, 0 );

    DnsServerLineedit = new KLineEdit( this, "DnsServerLineedit" );
    DnsServerLineedit->setEnabled( FALSE );

    layout30->addWidget( DnsServerLineedit, 0, 1 );
    spacer20 = new QSpacerItem( 221, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout30->addItem( spacer20, 6, 1 );

    Refuse128BitEncryptionCheckbox = new QCheckBox( this, "Refuse128BitEncryptionCheckbox" );

    layout30->addWidget( Refuse128BitEncryptionCheckbox, 1, 1 );

    UseNoIpDefaultCheckbox = new QCheckBox( this, "UseNoIpDefaultCheckbox" );

    layout30->addWidget( UseNoIpDefaultCheckbox, 6, 0 );

    UseNoBsdCompCheckbox = new QCheckBox( this, "UseNoBsdCompCheckbox" );

    layout30->addWidget( UseNoBsdCompCheckbox, 5, 0 );

    AllowStatefulModeCheckbox = new QCheckBox( this, "AllowStatefulModeCheckbox" );

    layout30->addWidget( AllowStatefulModeCheckbox, 3, 1 );
    layout5->addLayout( layout30 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout4->addWidget( textLabel1 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    AuthMethodComboBox = new KComboBox( FALSE, this, "AuthMethodComboBox" );
    layout3->addWidget( AuthMethodComboBox );
    spacer3_2 = new QSpacerItem( 151, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer3_2 );
    layout4->addLayout( layout3 );
    layout5->addLayout( layout4 );
    spacer3 = new QSpacerItem( 20, 110, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout5->addItem( spacer3 );

    ProfilePptpOptionsBaseLayout->addLayout( layout5, 0, 0 );
    languageChange();
    resize( QSize(526, 412).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( DnsServerCheckbox, SIGNAL( toggled(bool) ), this, SLOT( useDnsServerToggled(bool) ) );

    // tab order
    setTabOrder( DnsServerCheckbox, DnsServerLineedit );
    setTabOrder( DnsServerLineedit, Refuse40BitEncryptionCheckbox );
    setTabOrder( Refuse40BitEncryptionCheckbox, Refuse128BitEncryptionCheckbox );
    setTabOrder( Refuse128BitEncryptionCheckbox, RequireMppeCheckbox );
    setTabOrder( RequireMppeCheckbox, AllowStatefulModeCheckbox );
    setTabOrder( AllowStatefulModeCheckbox, GetDnsFromPeerCheckbox );
    setTabOrder( GetDnsFromPeerCheckbox, RefuseEapCheckbox );
    setTabOrder( RefuseEapCheckbox, UseNoBsdCompCheckbox );
    setTabOrder( UseNoBsdCompCheckbox, UseNoDeflateCheckbox );
    setTabOrder( UseNoDeflateCheckbox, UseNoIpDefaultCheckbox );
    setTabOrder( UseNoIpDefaultCheckbox, UseNoMPPECompressionCheckbox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfilePptpOptionsBase::~ProfilePptpOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfilePptpOptionsBase::languageChange()
{
    setCaption( tr2i18n( "PPTP" ) );
    RefuseEapCheckbox->setText( tr2i18n( "Refuse EAP" ) );
    RefuseEapCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( RefuseEapCheckbox, tr2i18n( "Refuse EAP" ) );
    UseNoDeflateCheckbox->setText( tr2i18n( "Do not use deflate met&hod" ) );
    UseNoDeflateCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    QToolTip::add( UseNoDeflateCheckbox, tr2i18n( "Do not use deflate decompression method (disabled by default)" ) );
    DnsServerCheckbox->setText( tr2i18n( "Use specified DNS server:" ) );
    QToolTip::add( DnsServerCheckbox, tr2i18n( "Use specified DNS server instead of retrieved from peer" ) );
    Refuse40BitEncryptionCheckbox->setText( tr2i18n( "Refuse 4&0 bit encryption" ) );
    QToolTip::add( Refuse40BitEncryptionCheckbox, tr2i18n( "Refuse 40 bit length encryption of MPPE" ) );
    RequireMppeCheckbox->setText( tr2i18n( "Re&quire MPPE" ) );
    RequireMppeCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    QToolTip::add( RequireMppeCheckbox, tr2i18n( "Require Microsoft Point-To-Point Encrpytion (enabled by default)" ) );
    DisableCcpCheckbox->setText( tr2i18n( "Disable CCP negotiation" ) );
    DisableCcpCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( DisableCcpCheckbox, tr2i18n( "Disabe Compression Control Protocol negotiation" ) );
    QWhatsThis::add( DisableCcpCheckbox, tr2i18n( "Check to disabe CCP (Compression Control Protocol) negotiation. This option should only be required if the peer is buggy and gets confused by requests from pppd for CCP negotiation." ) );
    GetDnsFromPeerCheckbox->setText( tr2i18n( "Get DNS server &from peer" ) );
    GetDnsFromPeerCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    QToolTip::add( GetDnsFromPeerCheckbox, tr2i18n( "Check this for retrieve DNS server from peer" ) );
    UseNoMPPECompressionCheckbox->setText( tr2i18n( "Do not use MPPC compression" ) );
    UseNoMPPECompressionCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( UseNoMPPECompressionCheckbox, tr2i18n( "Do not use the Microsoft Poit-To-Point Compression protocol. <br>I.e. for compatibility with watchguard firebox (disabled by default)" ) );
    QWhatsThis::add( UseNoMPPECompressionCheckbox, tr2i18n( "Check this for disable Microsoft Point-to-Point Compression (MPPC) (i.e. for compatibility with watchguard firebox)." ) );
    DnsServerLineedit->setText( QString::null );
    QToolTip::add( DnsServerLineedit, tr2i18n( "IP address of the DNS server (no hostname)" ) );
    Refuse128BitEncryptionCheckbox->setText( tr2i18n( "Refuse &128 bit encryption" ) );
    Refuse128BitEncryptionCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+1" ) ) );
    QToolTip::add( Refuse128BitEncryptionCheckbox, tr2i18n( "Refuse 128 bit length encryption of MPPE" ) );
    UseNoIpDefaultCheckbox->setText( tr2i18n( "Use no IP b&y default" ) );
    UseNoIpDefaultCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    UseNoBsdCompCheckbox->setText( tr2i18n( "Do not use BSD compression" ) );
    UseNoBsdCompCheckbox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( UseNoBsdCompCheckbox, tr2i18n( "Do not use BSD compression (disabled by default)" ) );
    AllowStatefulModeCheckbox->setText( tr2i18n( "Allo&w MPPE stateful mode" ) );
    AllowStatefulModeCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    QToolTip::add( AllowStatefulModeCheckbox, tr2i18n( "Check this for allow stateful mode of MPPE" ) );
    textLabel1->setText( tr2i18n( "Authorization method:" ) );
}

void ProfilePptpOptionsBase::mtuToggled(bool)
{
    qWarning( "ProfilePptpOptionsBase::mtuToggled(bool): Not implemented yet" );
}

void ProfilePptpOptionsBase::useDnsServerToggled(bool)
{
    qWarning( "ProfilePptpOptionsBase::useDnsServerToggled(bool): Not implemented yet" );
}

void ProfilePptpOptionsBase::keepDefaultRouteToggled(bool)
{
    qWarning( "ProfilePptpOptionsBase::keepDefaultRouteToggled(bool): Not implemented yet" );
}

void ProfilePptpOptionsBase::useNtDomainNameToggled(bool)
{
    qWarning( "ProfilePptpOptionsBase::useNtDomainNameToggled(bool): Not implemented yet" );
}

#include "profilepptpoptionsbase.moc"
